#!/bin/sh
# psvutil.sh for Drobo NAS device
SCRIPTPATH=`dirname $0`
# Change working dir
cd ${SCRIPTPATH}

. ./common.sh
resources() {

qn_write header ${_QN_RES_FILE} resources

IFS=$'\n'
i=0
_usbN=1
    # get connected usb devices and add to resources
    get_usb() {
        # Check if usb are connected
        if ! ls /share/USB* > /dev/null 2>&1
            then
                echo "No USB Volumes detected"
                return
        fi
        # local _listUsb=$(ls -d /share/USB*)
        # for l in "${_listUsb[@]}"
		for l in `ls -d /share/USB*`
            do
			local mountPoint=`readlink $l`
                local item=`df -B 1 | grep "$l"`
                size=`echo ${item} | awk '{print $2}'`
                free=`echo ${item} | awk '{print $4}'`
                local name="USBDisk$_usbN"
            qn_write element ${_QN_RES_FILE} $i "${name}" "${size}" "${free}"
            _usbN=$((_usbN+1))
        done
    }

    # get volume, but ignore usb devices and add to resoutces
    get_volumes() {
        # Skip volume 0 it is system recovery.
        list=$(df -B 1 | grep -v "/volume0" | grep "volume")
        IFS=$'\n'
        i=0
        _usbN=1
        for item in $list
        do
                dev=$(echo $item | awk '{print $6}')
                name=$(echo $dev | tr -d /)
                size=$(echo $item | awk '{print $2}')
                free=$(echo $item | awk '{print $4}')
                qn_write element ${_QN_RES_FILE} $i $name $size $free
            i=$((i+1))
        done
    }
get_volumes
get_usb
qn_write footer ${_QN_RES_FILE}
}

folders() {
qn_write predefined_shares ${_QN_SHARES_FILE}
}

qn_main_exec $1
