#!/bin/sh
if [ -z "$APKG_PKG_DIR" ]; then
   APKG_PKG_DIR=/usr/local/AppCentral/FileFlex
fi

_thumbsPath="$APKG_REPO_DIR/.fileflex/thumbnails"
_revisionsPath="$APKG_REPO_DIR/.fileflex/revisions"

sed -i '/^\[thumbnails\]$/,/^\[/ s#^path=.*#path='$_thumbsPath'#' $APKG_PKG_DIR/fileflex-config.in
sed -i '/^\[revision\]$/,/^\[/ s#^path=.*#path='$_revisionsPath'#' $APKG_PKG_DIR/fileflex-config.in


case "$APKG_PKG_STATUS" in

	install)
		# post install script here
		# ingect path for thumb and rev

		mv $APKG_PKG_DIR/fileflex-config.in $APKG_PKG_DIR/.fileflex-config
		;;
	upgrade)

        #	Restore any saved files
        if [ -e /tmp/FileFlex/.fileflex-config ]; then
            mv /tmp/FileFlex/.fileflex-config $APKG_PKG_DIR/.fileflex-config
            # Add/change thumbnails and versions values
             if grep -qF "[thumbnails]" $APKG_PKG_DIR/.fileflex-config; then
                sed -i '/^\[thumbnails\]$/,/^\[/ s#^path=.*#path='$_thumbsPath'#' $APKG_PKG_DIR/.fileflex-config
             else
                echo -e "[thumbnails]\npath=$_thumbsPath" >> $APKG_PKG_DIR/.fileflex-config
             fi
             if grep -qF "[revision]" $APKG_PKG_DIR/.fileflex-config; then
                sed -i '/^\[revision\]$/,/^\[/ s#^path=.*#path='$_revisionsPath'#' $APKG_PKG_DIR/.fileflex-config
             else
                echo -e "[revision]\npath=$_revisionsPath" >> $APKG_PKG_DIR/.fileflex-config
             fi

            rmdir /tmp/FileFlex
            rm $APKG_PKG_DIR/fileflex-config.in
        else
        mv $APKG_PKG_DIR/fileflex-config.in $APKG_PKG_DIR/.fileflex-config
        fi
		;;
	*)
		;;

esac

exit 0